<?php

namespace App\Http\Requests;

use App\Http\Requests\Request;

class ContatosRequest extends Request
{
    /**
     * Determine if the user is authorized to make this request.
     *
     * @return bool
     */
    public function authorize()
    {
        return true;
    }

    /**
     * Get the validation rules that apply to the request.
     *
     * @return array
     */
    public function rules()
    {
        return [
            'NM_CONTATO' => 'required|min:3|max:50',
            'DS_TEL_01' => 'numeric',
            'DS_TEL_02' => 'numeric',
            'DS_CEL_01' => 'numeric|required',
            'DS_CEL_02' => 'numeric',
            'DS_EMAIL' => 'email',
        ];
    }
    public function attributes()
    {
         parent::attributes(); // TODO: Change the autogenerated stub
        return[

            'NM_CONTATO' => 'NOME',
            'DS_TEL_01' => 'TELEFONE 1',
            'DS_TEL_02' => 'TELEFONE 2',
            'DS_CEL_01' => 'CELULAR 1',
            'DS_CEL_02' => 'CELULAR 2',
            'DS_EMAIL' => 'E-Mail',

        ];
    }


}
